## ros-kinetic-urg-stamped 0.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(urg_stamped)

set(CATKIN_DEPENDS
  roscpp
  sensor_msgs
)

## Find catkin and any catkin packages
find_package(catkin REQUIRED COMPONENTS ${CATKIN_DEPENDS})
find_package(Boost 1.53 REQUIRED system chrono thread)

catkin_package(
  CATKIN_DEPENDS ${CATKIN_DEPENDS}
)

add_compile_options(-std=c++11)
include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} include)

add_executable(urg_stamped
  src/urg_stamped.cpp
  src/urg_stamped_node.cpp
  src/scip2/logger.cpp
  src/ros_logger.cpp
)
target_link_libraries(urg_stamped ${catkin_LIBRARIES} ${Boost_LIBRARIES})


if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(rosunit REQUIRED)
  find_package(roslint REQUIRED)
  set(ROSLINT_CPP_OPTS "--filter=-runtime/references,-build/c++11")
  roslint_cpp()
  roslint_add_test()

  catkin_add_gtest(test_decode test/src/test_decode.cpp)
  target_link_libraries(test_decode ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_device_time_origin test/src/test_device_time_origin.cpp)
  target_link_libraries(test_device_time_origin ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_first_order_filter test/src/test_first_order_filter.cpp)

  catkin_add_gtest(test_timestamp_moving_average test/src/test_timestamp_moving_average.cpp)
  target_link_libraries(test_timestamp_moving_average ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_timestamp_outlier_remover test/src/test_timestamp_outlier_remover.cpp)
  target_link_libraries(test_timestamp_outlier_remover ${catkin_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_walltime test/src/test_walltime.cpp src/scip2/logger.cpp)
  target_link_libraries(test_walltime ${catkin_LIBRARIES} ${Boost_LIBRARIES})
endif()

install(TARGETS
    urg_stamped
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-urg-stamped (0.0.11-1xenial) xenial; urgency=high

  * Send QT command twice to avoid being ignored (#103 <https://github.com/seqsense/urg_stamped/issues/103>)
  * Change TM0 status 10 error log level (#100 <https://github.com/seqsense/urg_stamped/issues/100>)
  * Fallback timeout during time synchronization (#97 <https://github.com/seqsense/urg_stamped/issues/97>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Fri, 23 Apr 2021 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.10-1xenial) xenial; urgency=high

  * Add codecov.yml (#96 <https://github.com/seqsense/urg_stamped/issues/96>)
  * Fix error handling during delay estimation (#92 <https://github.com/seqsense/urg_stamped/issues/92>)
  * Add option to enable debug log output at launch (#93 <https://github.com/seqsense/urg_stamped/issues/93>)
  * Send TM command after receiving QT response (#91 <https://github.com/seqsense/urg_stamped/issues/91>)
  * Refactor directory and namespace (#90 <https://github.com/seqsense/urg_stamped/issues/90>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 07 Apr 2021 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.9-1xenial) xenial; urgency=high

  * Release 0.0.8 (#84 <https://github.com/seqsense/urg_stamped/issues/84>)
  * Fix token name for releasing (#86 <https://github.com/seqsense/urg_stamped/issues/86>)
  * Fix prerelease test (#85 <https://github.com/seqsense/urg_stamped/issues/85>)
  * Remove unnecessary newline from log (#82 <https://github.com/seqsense/urg_stamped/issues/82>)
  * Migrate to GitHub Actions (#81 <https://github.com/seqsense/urg_stamped/issues/81>)
  * Contributors: Atsushi Watanabe, github-actions[bot]

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.8-1xenial) xenial; urgency=high

  * Fix token name for releasing (#86 <https://github.com/seqsense/urg_stamped/issues/86>)
  * Fix prerelease test (#85 <https://github.com/seqsense/urg_stamped/issues/85>)
  * Remove unnecessary newline from log (#82 <https://github.com/seqsense/urg_stamped/issues/82>)
  * Migrate to GitHub Actions (#81 <https://github.com/seqsense/urg_stamped/issues/81>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.7-1xenial) xenial; urgency=high

  * Remove travis_retry from prerelease_test.sh (#78 <https://github.com/seqsense/urg_stamped/issues/78>)
  * Use downloaded gh-pr-comment binary in docker container (#77 <https://github.com/seqsense/urg_stamped/issues/77>)
  * Download gh-pr-comment binary instead of using pip (#75 <https://github.com/seqsense/urg_stamped/issues/75>)
  * Reboot lidar when it is in abnormal state (#71 <https://github.com/seqsense/urg_stamped/issues/71>)
  * Create GitHub Release after bloom release (#72 <https://github.com/seqsense/urg_stamped/issues/72>)
  * Update CI config (#69 <https://github.com/seqsense/urg_stamped/issues/69>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 12 Aug 2020 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.6-1xenial) xenial; urgency=high

  * Add check for device timestamp jump to node (#66 <https://github.com/seqsense/urg_stamped/issues/66>)
  * Add timestamp jump detector to Walltime (#65 <https://github.com/seqsense/urg_stamped/issues/65>)
  * Contributors: Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.5-1xenial) xenial; urgency=high

  * Support Noetic (#61 <https://github.com/seqsense/urg_stamped/issues/61>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 07 Apr 2020 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.4-1xenial) xenial; urgency=high

  * Automate bloom release (#58 <https://github.com/seqsense/urg_stamped/issues/58>)
  * Add error count check (#57 <https://github.com/seqsense/urg_stamped/issues/57>)
  * Fix response status check (#56 <https://github.com/seqsense/urg_stamped/issues/56>)
  * Format pointer alignment (#55 <https://github.com/seqsense/urg_stamped/issues/55>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Wed, 29 Jan 2020 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.3-1xenial) xenial; urgency=high

  * Run prerelease-test on release- branch (#49 <https://github.com/seqsense/urg_stamped/issues/49>)
  * Refactor logging (#48 <https://github.com/seqsense/urg_stamped/issues/48>)
  * Drop ROS Indigo and Ubuntu Trusty support (#47 <https://github.com/seqsense/urg_stamped/issues/47>)
  * Remove old_boost_fix.h (#42 <https://github.com/seqsense/urg_stamped/issues/42>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-kinetic-urg-stamped (0.0.2-1xenial) xenial; urgency=high

  * Fix license in manifest (#39 <https://github.com/seqsense/urg_stamped/issues/39>)
  * Update README (#36 <https://github.com/seqsense/urg_stamped/issues/36>)
  * Estimate sub-millisecond timestamp (#35 <https://github.com/seqsense/urg_stamped/issues/35>)
    
      * Estimate sub-millisecond timestamp by complementary filter fusing timestamp and packet arrival time
      * Add packet arrival time outlier removal
      * Add zero-delay moving average
      * Add unit tests for filters
    
  * Add build matrix for ROS indigo/kinetic/melodic (#38 <https://github.com/seqsense/urg_stamped/issues/38>)
    
      * Add build matrix
      * Fix workspace init
      * Fix rosdep argument
      * Fold test details
      * Fix test for latest g++
    
  * Merge pull request #34 <https://github.com/seqsense/urg_stamped/issues/34> from seqsense/update-manifest-format
  * Update manifest format
  * Receive both MD and ME response by one callback (#33 <https://github.com/seqsense/urg_stamped/issues/33>)
  * Make some info messages debug level (#30 <https://github.com/seqsense/urg_stamped/issues/30>)


=== debian/control ===
Source: ros-kinetic-urg-stamped
Section: misc
Priority: optional
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-urg-stamped
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: Precisely stamped URG driver for ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-urg-stamped//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
